-- name: [CS] Mario Movie
-- description: Player Model of Mario from the illumination film in the style of Super Mario 64.\n\n\\#ff7777\\Starring Chris Pratt.\n\nby 6b

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_CHRISPRATT = smlua_model_util_get_id("chrispratt_geo")

local TEX_CHRISPRATT_ICON = get_texture_info("chrispratt_icon")

local TEXT_MOD_NAME = "Mario Movie"

local VOICETABLE_CHRISPRATT = {
    [CHAR_SOUND_ATTACKED] = 'attack.mp3',
    [CHAR_SOUND_DOH] = 'uhhh.mp3',
    [CHAR_SOUND_DROWNING] = 'metal.ogg',
    [CHAR_SOUND_DYING] = 'metal.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'ground_pound.mp3',
    [CHAR_SOUND_HAHA] = 'hahaha_2.mp3',
    [CHAR_SOUND_HAHA_2] = 'hahaha_2.mp3',
    [CHAR_SOUND_HERE_WE_GO] = 'wahoo.mp3',
    [CHAR_SOUND_HOOHOO] = 'jump_sound.mp3',
    [CHAR_SOUND_MAMA_MIA] = 'tired.mp3',
    [CHAR_SOUND_OKEY_DOKEY] = {'hahaha_2.mp3', 'metal.ogg', },
    [CHAR_SOUND_ON_FIRE] = 'metal.ogg',
    [CHAR_SOUND_OOOF] = 'aahh.mp3',
    [CHAR_SOUND_OOOF2] = 'aahh.mp3',
    [CHAR_SOUND_PUNCH_HOO] = {'huh.mp3', 'jump2.mp3', },
    [CHAR_SOUND_PUNCH_WAH] = 'aahh.mp3',
    [CHAR_SOUND_PUNCH_YAH] = 'teh.mp3',
    [CHAR_SOUND_SO_LONGA_BOWSER] = {'haha.mp3', 'wahoo.mp3'},
    [CHAR_SOUND_TWIRL_BOUNCE] = 'haha.mp3',
    [CHAR_SOUND_WAAAOOOW] = 'metal.ogg',
    [CHAR_SOUND_WAH2] = 'metal.ogg',
    [CHAR_SOUND_WHOA] = 'metal.ogg',
    [CHAR_SOUND_YAHOO] = 'wahoo.mp3',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'toohum.mp3', 'wahoo.mp3'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'jump1.mp3', 'jump3.mp3'},
    [CHAR_SOUND_YAWNING] = 'metal.ogg',
    [CHAR_SOUND_PANTING] = 'panting.ogg',
    [CHAR_SOUND_COUGHING1] = 'metal.ogg',
    [CHAR_SOUND_COUGHING2] = 'metal.ogg',
    [CHAR_SOUND_COUGHING3] = 'metal.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'tired.mp3',
    [CHAR_SOUND_IMA_TIRED] = 'tired.mp3',
    [CHAR_SOUND_LETS_A_GO] = {'haha.mp3', 'hahaha_2.mp3',},
    [CHAR_SOUND_HRMM] = 'metal.ogg',
    [CHAR_SOUND_UH2] = 'metal.ogg',
    [CHAR_SOUND_UH2_2] = 'metal.ogg',
    [CHAR_SOUND_PANTING_COLD] = {'panting.mp3', 'tired.mp3',},
    [CHAR_SOUND_UH] = 'metal.ogg',
}



if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Mario Movie", {"Player Model of Mario from the illumination film, ", "in the style of Super Mario 64. Starring Chris Pratt."}, "6b", {r = 255, g = 0, b = 0}, E_MODEL_CHRISPRATT, CT_MARIO, TEX_CHRISPRATT_ICON)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_CHRISPRATT, VOICETABLE_CHRISPRATT)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_CHRISPRATT then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_CHRISPRATT then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end

local E_MODEL_CHRISPRATT2 = smlua_model_util_get_id("nochrispratt_geo")

local TEX_CHRISPRATT2_ICON = get_texture_info("chrispratt_icon")

local TEXT_MOD_NAME = "Mario Movie (No Chris Pratt)"

if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Mario Movie (No Chris Pratt)", {"Player Model of Mario from the illumination film, ", "in the style of Super Mario 64. Starring Chris Pratt."}, "6b", {r = 255, g = 0, b = 0}, E_MODEL_CHRISPRATT2, CT_MARIO, TEX_CHRISPRATT2_ICON)

else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end